commit:     facc94fadd62dfbcee81745835acbd710b70bd20
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 10 10:33:43 2017 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Thu Aug 10 10:35:35 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=facc94fa

dev-java/tomcat-servlet-api: bumped for main version 8.5

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-java/tomcat-servlet-api/Manifest               |  1 +
 .../tomcat-servlet-api-8.5.20.ebuild               | 39 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-java/tomcat-servlet-api/Manifest 
b/dev-java/tomcat-servlet-api/Manifest
index d61c4016066..487f6c28954 100644
--- a/dev-java/tomcat-servlet-api/Manifest
+++ b/dev-java/tomcat-servlet-api/Manifest
@@ -10,5 +10,6 @@ DIST apache-tomcat-8.0.43-src.tar.gz 4962788 SHA256 
5ca1feb8ae5bd637a379ed409300
 DIST apache-tomcat-8.0.45-src.tar.gz 4978313 SHA256 
450fd2890b12e56692cb203f95651f9a873dce056b7b4362e142bc817032b291 SHA512 
80e4281f5b6e4d6bf607179840bc6cb923ea9f57ec8231a451c3b5a1f8938f72ec1097290059afba0ef7b56edeb56d63636849517b69b91c7093cb15ff0eaa04
 WHIRLPOOL 
c893cd5c26637f8881c19353e269145e33fa11e02eb10ef93a41590ad2e1e6c6ffa1b3f6c3c7c318630765f666be07447fd3a21c70c2c381e75c458b60383ea0
 DIST apache-tomcat-8.5.11-src.tar.gz 4996153 SHA256 
81fb94243600d950375c4622f76b39c06c5615b7a8a6f70d387ea249bed1dddf SHA512 
d1a9513535773805c26825f8843fa502e044c9f1ccc22176db5418a7a0abb6d1bcff3db401b449a5867065359abbc8277d14085d807fe00c95dd267d9091620d
 WHIRLPOOL 
41ff9daec144c2481d3bb7a49bcd071eb2d21b34c11356a9911a139b404779971c31282f73b7b336b7e02d16156749e8e816dca8d5c727ef871ff0216577398d
 DIST apache-tomcat-8.5.16-src.tar.gz 5054513 SHA256 
0dd3589779bd43624a6027ec5e26262d10128dd46dcd08ed4107b8f453416c23 SHA512 
187f32ebeeca9099f2bf679613dd89198268d361d352550e09db23ef8df483543ec67604c58ddebb8259c46ab510519e8fa75a803d2e86ab815b231ae327222e
 WHIRLPOOL 
d241aed38921a76f75451f7d3c676e97548b843bec724c8c80a6534638cd27095f4ba790cbef56c8913cd6d96e63536855359c5a271aa41c7d3b97e25de26253
+DIST apache-tomcat-8.5.20-src.tar.gz 5063310 SHA256 
6bc40ae61b77906325bf8bdb2b0767aeb96f4c5a7a9b618aa496db59387d6610 SHA512 
dea3095792de76a3a56bd6fd6c9ed5702ca539856d0e07a5de2600f456e7255929d14748a2dc9b3c626b3a67aaac8795ef3f5a6a1351991a0e89443e0c9d0807
 WHIRLPOOL 
1924f12c5068574424587d5b8b7261efb7496dbc53915d8cb2558b4a643aedecc98823ac7dec238fe7cb1a1874734e05de2dc6b7b28e48ffdae9e8c5c586e895
 DIST apache-tomcat-9.0.0.M26-src.tar.gz 5011957 SHA256 
02ba2c9a3a2d78994fc14f2b304c3b3f46615538a48a9193e475b08565cb9b7e SHA512 
8c25932aa244edb46eee26aa837636e78c8104ca6617cb5ba924e0e45c2f9dbcd7d196ddf69ee2f1c1b6053dda818a3b92f8f46c156f3048c46cee919fc22c13
 WHIRLPOOL 
11e00a6e6a5822bd4e357e375b026dd732bf33319e30dde25f11bc1b99994617be3ce6d4976870f725e56646e5ffee92acb6fc23f46b53a46ebbf6c53707ea07
 DIST jakarta-servletapi-src.tar.gz 65342 SHA256 
404e2c55423c609122921a91e03f2b67d371fedc0af8996e005862d83d626697 SHA512 
7dad5a52ab6bfca4b052d60a48fc89ce22a5eb790584671f24d8d22b163f2dffe93bea58caebc6b4ecb0bd8434a074c88f640aa57daa1cefbf47d74df758c084
 WHIRLPOOL 
beb0e14920a8623d276c8823e6291aacb4b4d5d0539f5de431ce6f94582df9b260d4e04e0d0b650c59f7ca168f4af9352fffbfc0506b2530464a3bcdcf6ac0d1

diff --git a/dev-java/tomcat-servlet-api/tomcat-servlet-api-8.5.20.ebuild 
b/dev-java/tomcat-servlet-api/tomcat-servlet-api-8.5.20.ebuild
new file mode 100644
index 00000000000..fc6ef9151ec
--- /dev/null
+++ b/dev-java/tomcat-servlet-api/tomcat-servlet-api-8.5.20.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+JAVA_PKG_IUSE="source"
+
+inherit eutils java-pkg-2 java-ant-2
+
+MY_A="apache-${P}-src"
+MY_P="${MY_A/-servlet-api/}"
+DESCRIPTION="Tomcat's Servlet API 3.1/JSP API 2.3/EL API 3.0 implementation"
+HOMEPAGE="http://tomcat.apache.org/";
+SRC_URI="mirror://apache/tomcat/tomcat-8/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="3.1"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux 
~x86-linux ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.7"
+RDEPEND=">=virtual/jre-1.7"
+
+S="${WORKDIR}/${MY_P}/"
+
+src_prepare() {
+       default
+
+       cp "${FILESDIR}/${SLOT}-build.xml" build.xml || die "Could not replace 
build.xml"
+       rm -fR */*/build.xml
+       einfo "Removing bundled jars and classes"
+       find "${S}" '(' -name '*.class' -o -name '*.jar' ')' -exec rm -frv {} +
+
+       java-pkg-2_src_prepare
+}
+
+src_install() {
+       java-pkg_dojar "${S}"/output/build/lib/*.jar
+       use source && java-pkg_dosrc java/javax/servlet/
+}

Reply via email to